ProductCategoryList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ProductCategoryList

    java.lang.Object
      com.fenalco.entities.ProductCategoryList

    public class ProductCategoryList

extends java.lang.Object

Esta clase representa la tabla catagoria_producto de la base de datos, agrupa las categorías en que se dividen los productos dentro del sistema

Author:
  Néstor Romero León, Mario Linares Vásquez

Field Summary
`private java.util.Hashtable` | `productCategories` Este `Hashtable` mantiene un listado de objetos `ProductCategory` y está organizado de la siguiente forma: key: Identificador de la categoría de producto value: Objeto del tipo `ProductCategory`

Constructor Summary
`ProductCategoryList()` Constructor por omisión que carga la lista de categorías de producto desde la base de datos mediante un llamado al método `loadData`.

Method Summary
`java.util.Hashtable` | `getProductCategories()` Consultor para el atributo productCategories.
`boolean` | `loadData()` Este método carga la tabla categoría_producto en el objeto mediante haciendo uso del método `query` de la clase `SQLUtilities`.
`void` | `setProductCategories(java.util.Hashtable productCategories)` Modificador para el atributo productCategories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### productCategories

    private java.util.Hashtable productCategories

  Este `Hashtable` mantiene un listado de objetos `ProductCategory` y está organizado de la siguiente forma: key: Identificador de la categoría de producto value: Objeto del tipo `ProductCategory`

Constructor Detail

### ProductCategoryList

    public ProductCategoryList()

  Constructor por omisión que carga la lista de categorías de producto desde la base de datos mediante un llamado al método `loadData`.

Method Detail

### loadData

    public boolean loadData()

  Este método carga la tabla categoría_producto en el objeto mediante haciendo uso del método `query` de la clase `SQLUtilities`.

  Returns:
    Valor booleano que indica si la operación tuvo éxito o no

### getProductCategories

    public java.util.Hashtable getProductCategories()

  Consultor para el atributo productCategories.

  Returns:
    Valor del atributo productCategories.

### setProductCategories

    public void setProductCategories(java.util.Hashtable productCategories)

  Modificador para el atributo productCategories.

  Parameters:
    `productCategories` - Nuevo valor del atributo productCategories.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD